# Assign additional field

Use the **addSubscriptionAdditionalInformationField** method to assign an additional information field to a subscription.

## Requirements

The maximum number of additional information fields that can be added on a subscription is 5, while the maximum field length is 100 characters.

## Request parameters

<table><thead><tr><th width="214">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>sessionID</code></td><td><p><strong>Required (string)</strong></p><p>Session identifier, the output of the <strong>Login</strong> method. Include <code>sessionID</code> into all your requests. 2Checkout throws an exception if the values are incorrect. The <code>sessionID</code> expires in <strong>10 minutes</strong>.</p></td></tr><tr><td><code>SubscriptionReference</code></td><td><p><strong>Required (string)</strong></p><p>Unique, system-generated subscription identifier.</p></td></tr><tr><td><code>fieldName</code></td><td><p><strong>Required (string)</strong></p><p>The name of the additional information field. Used for identifying additional information fields.</p></td></tr><tr><td><code>fieldValue</code></td><td><p><strong>Required (string)</strong></p><p>The value of the additional information field.</p></td></tr></tbody></table>

### Request sample

```php
<?php

require('PATH_TO_AUTH');

$subscriptionReference = 'F27CFE06ED';
$fieldName = 'subscription';
$fieldValue = 'test';
try {
    $subscriptionInfo = $client->addSubscriptionAdditionalInformationField($sessionID, $subscriptionReference, $fieldName, $fieldValue);
}
catch (SoapFault $e) {
    echo "subscriptionInfo: " . $e->getMessage();
    exit;
}
var_dump("subscriptionInfo", $subscriptionInfo);
```

## Response parameters

<table><thead><tr><th width="313.199951171875">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>AdditionalSubscriptionInformation</code></td><td><p><strong>Object</strong></p><p>Contains information related to the additional information field.</p></td></tr><tr><td><code>fieldName</code></td><td><p><strong>String</strong></p><p>The name of the additional information field. Used for identifying additional information fields.</p></td></tr><tr><td><code>fieldValue</code></td><td><p><strong>String</strong></p><p>The value of the additional information field.</p></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/soap-api-reference/soap-api-6.0/api-requests/subscription-additional-information-fields/assign-additional-field.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
